Description

Différentes adaptations restent a intégrer/vérifier pour la migration vers Eole 2.4
En particulier, la notion d'Upgrade-Auto nécessitera certainement des adaptations pour le passage 2.3 -> 2.4
e Pour les upgrades précédents (2.0 -> 2.1 -> 2.2), la version de Créole était la méme et les configurations pouvaient étre
basculées automatiquement
e fonctionnement a confirmer pour Eole 2.4 (a priori, une préparation de configuration sera nécessaire)

e a vérifier : prise en compte des fichiers divers spécifiques au serveur (ex: filtrage personnalisé sur Amon).

Voir demandes liées pour les autres points bloquants.

Subtasks:

Tache # 8384: adapter la fonctionnalité de migration de 'fichiers personnalisés' pour I... Fermé
Scénario # 8426: Gestion des paquets de dictionnaires installés sur un client mais non ... Fermé
Scénario # 8325: fournir un script d'exemple pour la génération de configuration de mi... Fermé
Scénario # 8366: évolution du script upgrade_distrib.py pour eole 2.4 Fermé
Téache # 8449: cache de configuration non mis & jour en cas de 'revert' d'une migration Fermé
Tache # 8506: migration24.sh : sauvegarder les adaptations locales Fermé

Related issues:

Related to zephir-parc - Anomalie #8240: préparation de migration : les dicti... Fermé

Related to zephir-parc - Anomalie #8237: Mettre en place les autorisations po... Fermé

Related to zephir-parc - Tache #6880: sauvegarde du filtrage web Fermé 06/20/2014
Related to Documentations - Evolution #8259: documentation de la gestion des... Fermé

Related to zephir-client - Scénario #8573: Report sur eole 2.3 d'une partie d... Fermé

History

#1 - 06/17/2014 05:57 PM - Bruno Boiget

- Description updated

proposition des différents scénarios de migration d'un serveur enregistré vers eole 2.4
1) serveur réinstallé

e backup 'spécial du serveur'
installation
si configuration préparée sur Zéphir (conf serv + variante) :
o enregistrement_zephir : reprendre id existant (bascule dans zephir) -> "utiliser la conf de Zéphir" -> descente conf -> sauvegarde conf)
o récupération fichiers_divers de I'ancien serveur si définis dans migration_perso ?
e si pas de configuration définie sur Zéphir :
o gen_config + saisie configuration (obligatoires)
o enregistrement_zephir : reprendre id existant (bascule dans zephir) -> "sauvegarder la conf local sur Zéphir"
o PB: choix de la variante non proposé a la bascule du serveur en 2.4 (standard si pas de conf de migration définie). Modifiable par la suite
via enregistrement_zephir
e instanciation du serveur
e lancement du script de restauration

2) upgrade-auto

¢ migration systéme/eole du serveur
e lancement d'upgrade_distrib.py en fin d'Upgrade-Auto
o si configuration préparée sur Zéphir: bascule serveur dans Zéphir/descente conf/sauvegarde conf (automatiquement)

o si pas de configuration définie: idem que dans le cas d'une réinstallation (gen_config + ré-enregistrement avec envoi a Zéphir)
® instance

Avant de remonter les fichiers locaux sur Zéphir, il faudrait procéder a une étape de 'ménage":

e supprimer les entrées obsolétes dans /usr/share/zephir/zephir_conf/fichiers_zephir (toutes les entrées provenant des anciennes liste de fichier
par module)

e vérfier que la configuration locale est cohérente:
o par d'erreur en chargeant tous les dictionnaires (module/variante/locaux);
o pas de variable obligatoire manquante;

Les points les plus problématiques sont :

e gestion des paquets des dictionnaires 'EOLE' provenant de paquets non installés par défaut (voir demande liée) -> vérifier si ils sont activés au
niveau de la variante et proposer de les activer au niveau serveur le cas échéant ?

¢ |a gestion des fichiers 'migration_perso' doit étre adaptée pour gérer plusieurs listes de fichiers selon la version de la distribution.

¢ Dans le cas d'un Upgrade-Auto, des patchs/dictionnaires/templates locaux sont susceptibles de ne pas étre compatibles (surtout problématique
dans le cas ou la configuration n'est pas générée sur Zéphir).

#2 - 09/18/2014 03:42 PM - Fabrice Barconniére

- Status changed from Nouveau to Fermé

#3 - 09/18/2014 04:21 PM - Redmine Admin

- Tracker changed from Evolution to Scénario
